Instruments
Data model
Bond
ccyCodestring, requiredISO 4217 code for the bond's currency. Examples:
"USD","EUR","DKK".countryCodestring, requiredISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples:
"US","DE","DK".couponFrequencystring, requiredSpecifies how often the coupon payment occurs. Possible values:
"quarterly","semiannually","annually". Some instruments will have a value of"other", but new instruments can not be created with this value.datedDatestring, optionalISO 8601 representation of the start date for accrued interest calculation.
dayCountConventionstring, requiredSpecifies the method used to calculate interest accruals. Possible values:
"actual/actual","30/360","actual/360". Some instruments will have a value of"other", but new instruments can not be created with this value.firstCouponDatestring, optionalISO 8601 representation of the first coupon date.
maturityDatestring, optionalISO 8601 representation of the bond's maturity date.
namestring, requiredDisplay name of the bond.
securityIdentifierstring, requiredSecurity identifier of the instrument.
Fee
namestring, requiredName of the instrument.
categorystring, requiredType of fee. Possible values:
"custody","management","other".
FX Forward, Cash Settlement
agreementDatestring, requiredISO 8601 representation of the date when the FX forward was agreed upon.
fixingDatestring, requiredISO 8601 representation of the date on which the difference between the spot rate and the agreed forward rate is calculated.
notionalAmountnumber, requiredThe agreed-upon amount for the FX forward, denominated in the contract's primary currency.
primaryCcyCodestring, requiredISO 4217 code for the currency in which the notional amount is denominated. Examples:
"USD","EUR","DKK".secondaryCcyCodestring, requiredISO 4217 code for the currency in which the settlement amount is denominated. Examples:
"USD","EUR","DKK".securityIdentifierstring, requiredSecurity identifier of the instrument.
settlementAmountnumber, requiredThe agreed settlement amount, denominated in the contract's secondary currency.
settlementDatestring, requiredISO 8601 representation of the date the FX forward is settled.
Relationships:
account: The account the cash settlement will affect.
FX Forward, Physical Delivery
agreementDatestring, requiredISO 8601 representation of the date when the FX forward was agreed upon.
fixingDatestring, requiredISO 8601 representation of the date on which the difference between the spot rate and the agreed forward rate is calculated.
notionalAmountnumber, requiredThe notional amount, denominated in the currency of the primary account.
securityIdentifierstring, requiredSecurity identifier of the instrument.
settlementAmountnumber, requiredThe agreed settlement amount, denominated in the currency of the secondary account.
settlementDatestring, requiredISO 8601 representation of the date the FX forward is settled.
Relationships:
primaryAccount: The account associated with the notional amount.secondaryAccount: The account associated with the settlement amount.
Index-linked Bond
ccyCodestring, requiredISO 4217 code for the bond's currency. Examples:
"USD","EUR","DKK".countryCodestring, requiredISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples:
"US","DE","DK".couponFrequencystring, requiredSpecifies how often the coupon payment occurs. Possible values:
"quarterly","semiannually","annually". Some instruments will have a value of"other", but new instruments can not be created with this value.datedDatestring, optionalISO 8601 representation of the start date for accrued interest calculation.
dayCountConventionstring, requiredSpecifies the method used to calculate interest accruals. Possible values:
"actual/actual","30/360","actual/360". Some instruments will have a value of"other", but new instruments can not be created with this value.firstCouponDatestring, optionalISO 8601 representation of the first coupon date.
maturityDatestring, optionalISO 8601 representation of the bond's maturity date.
namestring, requiredDisplay name of the bond.
securityIdentifierstring, requiredSecurity identifier of the instrument.
Loan
agreementDatestring, requiredISO 8601 representation of the date when the loan was agreed upon.
dayCountConventionstring, requiredThe method used to calculate interest. Possible values:
"actual/actual","30/360","actual/360". Some instruments will have a value of"other", but new instruments can not be created with this value.interestRateInPercentnumber, requiredThe fixed interest rate for the loan, expressed as a percentage (e.g., 1.5 for 1.5%). This should usually be a positive number, as the sign of the principal amount affects the sign of the accruing interest, but in unusual periods with negative interest rates it can be negative. Only sent when creating a loan; it is not returned when the instrument is read.
maturityDatestring, requiredISO 8601 representation of the date when the loan matures.
principalAmountnumber, requiredThe agreed-upon amount for the loan, denominated in the account's currency. A positive value represents receivables (an instrument), while a negative value represents payables (a liability).
securityIdentifierstring, requiredSecurity identifier of the instrument.
Relationships:
account: The account the loan will affect.
Mutual Fund
ccyCodestring, requiredISO 4217 code for the mutual fund's currency. Examples:
"USD","EUR","DKK".countryCodestring, requiredISO 3166-1 alpha-2 code representing the mutual fund issuer's domicile. Examples:
"US","DE","DK".namestring, requiredDisplay name of the mutual fund.
securityIdentifierstring, requiredSecurity identifier of the instrument.
gicsobject, read-onlyThe instrument's GICS classification, or
nullwhen it has no valid 8-digit GICS code. Its shape is described under GICS below.
Private Market Fund, Commitment Based
customIdentifierstring, optionalCustom identifier of the instrument. When it is left out or
nullon create, Aleta assigns a generated identifier, which is returned in this field.fundobject, requiredThe details of the fund.
fund.managerNamestring, requiredName of the fund manager. Accepted on create but not stored; responses return an empty string.
fund.namestring, requiredName of the fund.
fund.ccyCodestring, requiredISO 4217 code for the fund's currency. Examples:
"USD","EUR","DKK".fund.strategystring, requiredStrategy of the fund. Possible values:
"leveraged-buyout","mezzanine-capital","venture-capital","growth-capital","distressed-and-special-situations","credit","fund-of-funds","energy","real-estate","private-debt","infrastructure","private-equity","real-asset-agriculture","real-asset-timberland","other". Any other value is returned as"other".fund.investmentRegionstring, requiredRegion of the fund. Possible values:
"north-america","asia","africa","latin-america","europe","south-america","north-america-europe","denmark","global","nordic","oecd","france-germany","france","spain","germany","other". Any other value is returned as"other".fund.vintageDatestring, requiredISO 8601 representation of the vintage date of the fund. Responses return it as a date-time, e.g.
"2020-01-01T00:00:00Z".fund.expectedExitDatestring, requiredISO 8601 representation of the expected exit date of the fund. Responses return it as a date-time, e.g.
"2028-12-31T00:00:00Z".initialCommitmentobject, requiredInitial Commitment object. This is only relevant when posting a new fund and will not be part of the payload when retrieving an existing fund.
exitDatestring, optionalISO 8601 representation of the exit date of the fund. The
exitDatefield is part of the resource model, but cannot be set during post or update. It is populated after the position is closed.
Relationships:
depository: The depository the private market fund investment is reported on.commitments: The commitments made to the fund.
Initial Commitment
datestring, requiredISO 8601 representation of the date the initial commitment was made.
valuenumber, requiredThe initial commitment amount, denominated in the fund's currency.
Refund
namestring, requiredName of the instrument.
Stock
ccyCodestring, requiredISO 4217 code for the stock's currency. Examples:
"USD","EUR","DKK".countryCodestring, requiredISO 3166-1 alpha-2 code representing the company's domicile. Examples:
"US","DE","DK".namestring, requiredDisplay name of the stock.
securityIdentifierstring, requiredSecurity identifier of the instrument.
gicsobject, read-onlyThe instrument's GICS classification, or
nullwhen it has no valid 8-digit GICS code. Its shape is described under GICS below.
GICS
Returned on stock and mutual fund instruments when they are read. Not accepted on create; a newly created instrument returns null.
sectorobjectThe 2-digit sector:
codeandname.industryGroupobjectThe 4-digit industry group:
codeandname.industryobjectThe 6-digit industry:
codeandname.subIndustryobjectThe 8-digit sub-industry:
codeandname.
Each level's name is the English GICS name, or null when the name is not known.
Zero Coupon Bond
ccyCodestring, requiredISO 4217 code for the bond's currency. Examples:
"USD","EUR","DKK".countryCodestring, requiredISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples:
"US","DE","DK".maturityDatestring, optionalISO 8601 representation of the bond's maturity date.
namestring, requiredDisplay name of the bond.
securityIdentifierstring, requiredSecurity identifier of the instrument.
Other
This type represents a range of other, more uncommon types of instruments in the system. Instruments of this type can only be retrieved, not created.
ccyCodestringISO 4217 code for the instrument's currency, or
null(alwaysnullfor contract-based instruments).namestringDisplay name of the instrument.
securityIdentifierstring, requiredSecurity identifier of the instrument.
Retrieve an instrument
Parameters
idpath, requiredInstrument identifier.
GET /api/v3/instruments/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": {
"id": "5e6a90cf921d8b1874c32ed5",
"type": "bond-instrument",
"attributes": {
"ccyCode": "DKK",
"countryCode": "DK",
"couponFrequency": "quarterly",
"dayCountConvention": "actual/actual",
"firstCouponDate": "2010-07-01",
"datedDate": "2010-04-23",
"maturityDate": "2041-07-01",
"name": "4% Nordea Kre 41",
"securityIdentifier": "DK0002024876"
}
}
}
List private instruments
Gets all private instruments owned by the provided reporting entity.
Parameters
reportingEntityIdpath, requiredReporting entity identifier.
GET /api/v3/instruments/cc4bda6ebab880fdb125f072/private-instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"id": "cc4bda6ebab880fdb125f072",
"type": "mutual-fund-instrument",
"attributes": {
"ccyCode": "DKK",
"countryCode": null,
"name": "0,19% RealkreditDK Termin",
"securityIdentifier": "ZZ0004603112",
"gics": null
}
}
]
}
Create an instrument
Create a new instrument.
New Fee type instruments can not be created. New Other type instruments can not be created.
Instrument already exists
When attempting to create a bond, index-linked bond, zero coupon bond, stock or mutual fund instrument with a combination of securityIdentifier and ccyCode that already exists in the system, the API responds with a 303 See Other redirection that provides a Location header, pointing to the GET /instruments/:id endpoint where the instrument can be found.
POST /api/v3/instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: api.aleta.ai
{
"data": {
"type": "bond-instrument",
"attributes": {
"ccyCode": "DKK",
"countryCode": "DK",
"couponFrequency": "quarterly",
"dayCountConvention": "actual/actual",
"firstCouponDate": "2010-07-01",
"datedDate": "2010-04-23",
"maturityDate": "2041-07-01",
"name": "4% Nordea Kre 41",
"securityIdentifier": "DK0002024876"
}
}
}
HTTP/1.1 201 Created
Content-Type: application/vnd.api+json
{
"data": {
"id": "5e6a90cf921d8b1874c32ed5",
"type": "bond-instrument",
"attributes": {
"ccyCode": "DKK",
"countryCode": "DK",
"couponFrequency": "quarterly",
"dayCountConvention": "actual/actual",
"firstCouponDate": "2010-07-01",
"datedDate": "2010-04-23",
"maturityDate": "2041-07-01",
"name": "4% Nordea Kre 41",
"securityIdentifier": "DK0002024876"
}
}
}
Delete an instrument
Parameters
idpath, requiredInstrument identifier.
DELETE /api/v3/instruments/6704d535298ab60100cbc56c HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
HTTP/1.1 204 No Content